Migrate ccNewsletter, ccInvoices, cciDEAL to Joomla! 3

If you are using ccNewsletter, ccInvoices or cciDEAL on your Joomla! 1.5 or Joomla! 2.5 website, it's a good time to start planning the move to Joomla! 3 for all websites that are still on older Joomla! versions. Official support for Joomla! 2.5 ends in 2014. Luckily we have a manual that explains how to move our extensions to Joomla! 3. 

We will support Joomla! 2.5 in our extensions for the foreseeable future, but because there will be no more (security) updates for Joomla! 2.5, you should start planning and preferably move to Joomla! 3 somewhere in 2015. We will clearly communicate when our extensions drop support for Joomla! 2.5. At the moment I think it will be somewhere in the second half of 2015.

What you need to know about Joomla! 3

There are a few things I keep hearing when I tell people about the end of Joomla! 2.5 support:

  • Where is Joomla! 3.5? In the past the Joomla! project communicated that the support for Joomla! 2.5 will only end when Joomla! 3.5 is released. Those plans have changed, there will be no Joomla! 3.5 any time soon. The current Joomla! 3 versions are considered stable and the only "production" versions of Joomla! you should use. Read more about the new Joomla! release cycle and read the frequently asked questions about it.
  • Will I need to migrate to Joomla! 4 soon? Nope! The good news is that with the new release cycle, the Joomla! project is also promising that Joomla! 3 will be supported at least until 2018, and probably longer. Plus, every Joomla! 3 version should be backwards compatible, so you can always update. How's that for improving a website's ROI (return on investment)?
  • The JED  will remove Joomla! 2.5 only extensions after June 2015. In February the Joomla! Extension Directory has informed the community that extensions that only support Joomla! 2.5 in June 2015, will be removed from the JED. Keep this in mind, you might want to bookmark the sites of your favourite extension that don't have a Joomla! 3 version yet. 
  • But there is no Joomla! 3 version of Virtuemart? Yes, there is. Virtuemart 3 was released at the end of 2014 and you can now use it to create webshops on Joomla! 3 or migrate older webshops to Joomla! 3. But, also have a look at HikaShop! It also has a built-in migrator to move Virtuemart stores to HikaShop on Joomla! 3. Dutch customers: you can read my Dutch article "Virtuemart 3 en andere Joomla! webwinkels met iDEAL".

How to migrate/update to Joomla! 3

If you want to move to Joomla! 3, there are two methods to consider: 

  • Migrate/update: you can use a migration extension like SP Upgrade (or another Joomla! migration extension) to migrate the site to Joomla! 3. I have a very good experience with SP Upgrade, so save yourself some time and just go for that one. This will take care of all core Joomla! functionality and information like articles, web links and menus. For most extensions (including templates) you will need to refer to the developer's website for instructions on how to migrate. From Joomla! 2.5 to Joomla! 3 you can also consider the built-in updater, see the below links for more information about that. 
  • Rebuild: with smaller sites it might be worth it to just rebuild the site from the ground up in Joomla! 3. But, this could mean you have to move information in core and non-core Joomla! extensions manually. 

The Joomla! project has also created a few nice manuals:

SiteGround has a few video tutorials:

How to move our extensions to Joomla! 3

In both cases, refer to the below list to see how you can migrate the information from our extensions to the Joomla! 3 version of the website. 


As you probably already know by now, we have ended development and support for ccHelpdesk, ccDownloads and ccVAOM. If you need this functionality in your Joomla! 3 website you will need to search for an alternative on the Joomla! Extensions Directory